Subject: [AVTCORE] FYI: draft-rescorla-random-cname-00

From: Eric Rescorla <[email-masked]>
Date: Mon, 9 Jul 2012 12:24:32 -0700

As discussed at the RTCWEB interim:

Executive summary: use a CSPRNG to generate CNAMEs.

-Ekr

---

From: Kevin Gross <[email-masked]>
Date: Mon, 9 Jul 2012 15:51:24 -0600

Good start.

Please consider referencing to RFC 4086.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

On Mon, Jul 9, 2012 at 1:24 PM, Eric Rescorla <[email-masked]> wrote:

> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 9 Jul 2012 14:56:59 -0700

On Mon, Jul 9, 2012 at 2:51 PM, Kevin Gross <[email-masked]> wrote:
> AVA Networks - www.AVAnw.com, www.X192.org
>
>

I meant to. Turns out that RFC 4096 and RFC 4086 are not the same
thing. Doh!

-Ekr

---

From: Colin Perkins <[email-masked]>
Date: Wed, 11 Jul 2012 13:00:01 +0100

[limiting replies to avt, since this is about details]

> Executive summary: use a CSPRNG to generate CNAMEs.

Section 2.1 says: "The timestamp (from the RTP header) to within a few seconds.  With a typical 100 ticks/second clock, this represents about 10 bits of entropy at most (and potentially more like 2-3 bits)". The RTP timestamp has a random initial value, and typically ticks at either 8kHz or 90kHz. It's not a wall clock. There's more entropy here than supposed. 

-- 
Colin Perkins
http://csperkins.org/

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 11 Jul 2012 07:51:24 -0700

> Section 2.1 says: "The timestamp (from the RTP header) to within a few seconds.  With a typical 100 ticks/second clock, this represents about 10 bits of entropy at most (and potentially more like 2…

Sorry, RTCP NTP timestamp.

-Ekr